Bug 283881 - ooimpress crash
ooimpress crash
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
: 284161 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-09 04:15 EDT by Scott Tsai
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-02 06:33:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Tsai 2007-09-09 04:15:18 EDT
Description of problem:
Opening a .ppt file from work that I can't attach here crashed ooimpress.

Version-Release number of selected component (if applicable):
openoffice.org-core-2.3.0-3.2.fc8.x86_64
openoffice.org-impress-2.3.0-3.2.fc8.x86_64


How reproducible:
Always

Steps to Reproduce:
1. ooimpress X.ppt
  
Actual results:
(I)    x.org loaded video driver of...
(II) Loading /usr/lib64/xorg/modules/drivers//intel_drv.so
(==) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.2-23-x86_64
(V)    kernel is: Linux 2.6.23-0.164.rc5.fc8 #1 SMP Tue Sep 4 18:24:12 EDT 2007
x86_64 x86_64 x86_64
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.3.0-3.2.fc8-x86_64
(VII)  accessibility is: true
(VIII) fedora release is: Fedora release 7.91 (Rawhide)
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/mapper/VolGroup00-LogVol00
                     478581664  46453388 432128276  10% /
/dev/mapper/VolGroup00-LogVol00
                     478581664  46453388 432128276  10% /
...end free space details ...
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 21
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x00002aaaadd5ba04: 0x00000000001ebf28:
/usr/lib64/openoffice.org/program/libuno_sal.so.3 + 0x36a04
0x00002aaaadd5c5fa: 0x00000000001ebf28:
/usr/lib64/openoffice.org/program/libuno_sal.so.3 + 0x375fa
0x00002aaaab6f9900: 0x000000000014bb60: /lib64/libc.so.6 + 0x30900
0x00002aaaad88d2a2: 0x00000000000aa5b8:
/usr/lib64/openoffice.org/program/libuno_cppuhelpergcc3.so.3 + 0x422a2
0x00002aaaad88d9f3: 0x00000000000aa5b8:
/usr/lib64/openoffice.org/program/libuno_cppuhelpergcc3.so.3 + 0x429f3
(cppu::WeakComponentImplHelper_query(com::sun::star::uno::Type const&,
cppu::class_data*, void*, cppu::WeakComponentImplHelperBase*) + 0x63)
0x00002aaac6b7844a: 0x0000000000d3af90:
/usr/lib64/openoffice.org/program/libsvx680lx.so + 0x92044a
(accessibility::AccessibleShape::queryInterface(com::sun::star::uno::Type
const&) + 0x4a)
0x00002aaac6b6f612: 0x0000000000d3af90:
/usr/lib64/openoffice.org/program/libsvx680lx.so + 0x917612
0x00002aaac6b71819: 0x0000000000d3af90:
/usr/lib64/openoffice.org/program/libsvx680lx.so + 0x919819
0x00002aaac842fb0d: 0x00000000005eea98:
/usr/lib64/openoffice.org/program/libsd680lx.so + 0x3ddb0d
0x00002aaac824ea6d: 0x00000000005eea98:
/usr/lib64/openoffice.org/program/libsd680lx.so + 0x1fca6d
0x00002aaac824043c: 0x00000000005eea98:
/usr/lib64/openoffice.org/program/libsd680lx.so + 0x1ee43c
0x00002aaaabca4db2: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0x289db2
(Window::GetAccessible(unsigned char) + 0x82)
0x00002aaaae21496d: 0x00000000002741c0:
/usr/lib64/openoffice.org/program/libtk680lx.so + 0xf896d
(VCLXAccessibleComponent::getAccessibleChild(int) + 0x7d)
0x00002aaabbff1e6b: 0x000000000004f488:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x1ee6b
(AtkListener::updateChildList(com::sun::star::accessibility::XAccessibleContext*)
+ 0x11b)
0x00002aaabbff216d: 0x000000000004f488:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x1f16d
(AtkListener::AtkListener(_AtkObjectWrapper*) + 0xed)
0x00002aaabbffcf1d: 0x000000000004f488:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x29f1d
(atk_object_wrapper_new + 0x3fd)
0x00002aaabbff2016: 0x000000000004f488:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x1f016
(AtkListener::handleChildAdded(com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessibleContext>
const&,
com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessible>
const&) + 0x26)
0x00002aaabbff2d00: 0x000000000004f488:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x1fd00
(AtkListener::notifyEvent(com::sun::star::accessibility::AccessibleEventObject
const&) + 0x8a0)
0x00002aaaad11d52c: 0x0000000000132bd8:
/usr/lib64/openoffice.org/program/libcomphelp4gcc3.so + 0xaa52c
(comphelper::AccessibleEventNotifier::addEvent(unsigned int,
com::sun::star::accessibility::AccessibleEventObject const&) + 0xfc)
0x00002aaaad10b04c: 0x0000000000132bd8:
/usr/lib64/openoffice.org/program/libcomphelp4gcc3.so + 0x9804c
(comphelper::OAccessibleContextHelper::NotifyAccessibleEvent(short,
com::sun::star::uno::Any const&, com::sun::star::uno::Any const&) + 0x13c)
0x00002aaaae214f31: 0x00000000002741c0:
/usr/lib64/openoffice.org/program/libtk680lx.so + 0xf8f31
(VCLXAccessibleComponent::ProcessWindowChildEvent(VclWindowEvent const&) + 0x181)
0x00002aaaae213871: 0x00000000002741c0:
/usr/lib64/openoffice.org/program/libtk680lx.so + 0xf7871
(VCLXAccessibleComponent::WindowChildEventListener(VclSimpleEvent*) + 0x91)
0x00002aaaabafb854: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0xe0854
(VclEventListeners::Call(VclSimpleEvent*) const + 0x34)
0x00002aaaabcaa4dc: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0x28f4dc
(Window::CallEventListeners(unsigned long, void*) + 0xdc)
0x00002aaaabcab29f: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0x29029f
0x00002aaaabcab254: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0x290254
0x00002aaaabcab254: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0x290254
0x00002aaaabcab254: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0x290254
0x00002aaaabcab254: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0x290254
0x00002aaaabcae872: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0x293872
(Window::Show(unsigned char, unsigned short) + 0x3c2)
0x00002aaaabcae5f1: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0x2935f1
(Window::Show(unsigned char, unsigned short) + 0x141)
0x00002aaab0752f87: 0x00000000003cfcc8:
/usr/lib64/openoffice.org/program/libsfx680lx.so + 0x252f87
(SfxViewFrame::Show() + 0xa7)
0x00002aaab076545b: 0x00000000003cfcc8:
/usr/lib64/openoffice.org/program/libsfx680lx.so + 0x26545b
(SfxTopFrame::InsertDocument(SfxObjectShell*) + 0x3cb)
0x00002aaab06d55a0: 0x00000000003cfcc8:
/usr/lib64/openoffice.org/program/libsfx680lx.so + 0x1d55a0
0x00002aaab0765601: 0x00000000003cfcc8:
/usr/lib64/openoffice.org/program/libsfx680lx.so + 0x265601
(SfxTopFrame::InsertDocument(SfxObjectShell*) + 0x571)
0x00002aaab0742bad: 0x00000000003cfcc8:
/usr/lib64/openoffice.org/program/libsfx680lx.so + 0x242bad
0x00002aaab11cd827: 0x00000000002aa838:
/usr/lib64/openoffice.org/program/libfwk680lx.so + 0x17a827
0x00002aaab11cdf90: 0x00000000002aa838:
/usr/lib64/openoffice.org/program/libfwk680lx.so + 0x17af90
0x00002aaab11cf968: 0x00000000002aa838:
/usr/lib64/openoffice.org/program/libfwk680lx.so + 0x17c968
0x00002aaab10bf48f: 0x00000000002aa838:
/usr/lib64/openoffice.org/program/libfwk680lx.so + 0x6c48f
0x00002aaaaad06802: 0x0000000000056258:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x3f802
(desktop::DispatchWatcher::executeDispatchRequests(std::vector<desktop::DispatchWatcher::DispatchRequest,
std::allocator<desktop::DispatchWatcher::DispatchRequest> > const&) + 0x11e2)
0x00002aaaaacfc2ae: 0x0000000000056258:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x352ae
(desktop::OfficeIPCThread::ExecuteCmdLineRequests(desktop::ProcessDocumentsRequest&)
+ 0x13e)
0x00002aaaaacf2c8f: 0x0000000000056258:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x2bc8f
(desktop::Desktop::OpenClients() + 0xc6f)
0x00002aaaaacf3bca: 0x0000000000056258:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x2cbca
(desktop::Desktop::OpenClients_Impl(void*) + 0x3a)
0x00002aaaabcbb611: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0x2a0611
0x00002aaabcafe62f: 0x000000000007cf10:
/usr/lib64/openoffice.org/program/libvclplug_gen680lx.so + 0x5762f
(SalDisplay::DispatchInternalEvent() + 0xbf)
0x00002aaabbfeb899: 0x000000000004f488:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x18899
0x00002aaab4be2f13: 0x00000000000c5c38: /lib64/libglib-2.0.so.0 + 0x2ef13
(g_main_context_dispatch + 0x1c3)
0x00002aaab4be620d: 0x00000000000c5c38: /lib64/libglib-2.0.so.0 + 0x3220d
0x00002aaab4be673e: 0x00000000000c5c38: /lib64/libglib-2.0.so.0 + 0x3273e
(g_main_context_iteration + 0x6e)
0x00002aaabbfed329: 0x000000000004f488:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x1a329
0x00002aaaabaf400e: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0xd900e
(Application::Yield(bool) + 0x3e)
0x00002aaaabaf40e7: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0xd90e7
(Application::Execute() + 0x27)
0x00002aaaaacf6228: 0x0000000000056258:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x2f228
(desktop::Desktop::Main() + 0xe28)
0x00002aaaabaf87f1: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0xdd7f1
0x00002aaaabaf8855: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0xdd855 (SVMain() + 0x25)
0x00002aaaaace7e7e: 0x0000000000056258:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x20e7e (main + 0xae)
0x00002aaaab6e6d34: 0x000000000014bb60: /lib64/libc.so.6 + 0x1dd34
(__libc_start_main + 0xf4)
0x0000000000400619: 0x0000000000000870:
/usr/lib64/openoffice.org/program/soffice.bin + 0x619 (main + 0x49)
...end stackreport details ...
...start sample ldd details ...
	linux-vdso.so.1 =>  (0x00007fff679fe000)
	libgtk-x11-2.0.so.0 => /usr/lib64/libgtk-x11-2.0.so.0 (0x00002aaaaaf35000)
	libgdk-x11-2.0.so.0 => /usr/lib64/libgdk-x11-2.0.so.0 (0x00002aaaab524000)
	libatk-1.0.so.0 => /usr/lib64/libatk-1.0.so.0 (0x00002aaaab7c4000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib64/libgdk_pixbuf-2.0.so.0 (0x00002aaaab9e3000)
	libpangocairo-1.0.so.0 => /usr/lib64/libpangocairo-1.0.so.0 (0x00002aaaabc00000)
	libpango-1.0.so.0 => /usr/lib64/libpango-1.0.so.0 (0x00002aaaabe0a000)
	libcairo.so.2 => /usr/lib64/libcairo.so.2 (0x00002aaaac04c000)
	libgmodule-2.0.so.0 => /lib64/libgmodule-2.0.so.0 (0x00002aaaac2c9000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00002aaaac4cc000)
	libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x00002aaaac6d0000)
	librt.so.1 => /lib64/librt.so.1 (0x00002aaaac8d5000)
	libdbus-glib-1.so.2 => /usr/lib64/libdbus-glib-1.so.2 (0x00002aaaacade000)
	libdbus-1.so.3 => /lib64/libdbus-1.so.3 (0x00002aaaaccfd000)
	libgobject-2.0.so.0 => /lib64/libgobject-2.0.so.0 (0x00002aaaacf39000)
	libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00002aaaad179000)
	libvclplug_gen680lx.so =>
/usr/lib64/openoffice.org/program/libvclplug_gen680lx.so (0x00002aaaad440000)
	libvcl680lx.so => /usr/lib64/openoffice.org/program/libvcl680lx.so
(0x00002aaaad6c6000)
	libpsp680lx.so => /usr/lib64/openoffice.org/program/libpsp680lx.so
(0x00002aaaadc7b000)
	libsot680lx.so => /usr/lib64/openoffice.org/program/libsot680lx.so
(0x00002aaaadf68000)
	libutl680lx.so => /usr/lib64/openoffice.org/program/libutl680lx.so
(0x00002aaaae1ce000)
	libtl680lx.so => /usr/lib64/openoffice.org/program/libtl680lx.so
(0x00002aaaae472000)
	libcomphelp4gcc3.so => /usr/lib64/openoffice.org/program/libcomphelp4gcc3.so
(0x00002aaaae718000)
	libucbhelper4gcc3.so => /usr/lib64/openoffice.org/program/libucbhelper4gcc3.so
(0x00002aaaaea50000)
	libuno_cppuhelpergcc3.so.3 =>
/usr/lib64/openoffice.org/program/libuno_cppuhelpergcc3.so.3 (0x00002aaaaecc9000)
	libuno_cppu.so.3 => /usr/lib64/openoffice.org/program/libuno_cppu.so.3
(0x00002aaaaef76000)
	libvos3gcc3.so => /usr/lib64/openoffice.org/program/libvos3gcc3.so
(0x00002aaaaf1a3000)
	libuno_sal.so.3 => /usr/lib64/openoffice.org/program/libuno_sal.so.3
(0x00002aaaaf3ca000)
	libX11.so.6 => /usr/lib64/libX11.so.6 (0x00002aaaaf7c1000)
	libXext.so.6 => /usr/lib64/libXext.so.6 (0x00002aaaafac6000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00002aaaafcd7000)
	libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00002aaaafef2000)
	libm.so.6 => /lib64/libm.so.6 (0x00002aaab01f3000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00002aaab0476000)
	libc.so.6 => /lib64/libc.so.6 (0x00002aaab0684000)
	libXfixes.so.3 => /usr/lib64/libXfixes.so.3 (0x00002aaab09d7000)
	libpng12.so.0 => /usr/lib64/libpng12.so.0 (0x00002aaab0bdc000)
	libfontconfig.so.1 => /usr/lib64/libfontconfig.so.1 (0x00002aaab0e00000)
	libXrender.so.1 => /usr/lib64/libXrender.so.1 (0x00002aaab1035000)
	libXinerama.so.1 => /usr/lib64/libXinerama.so.1 (0x00002aaab123e000)
	libXi.so.6 => /usr/lib64/libXi.so.6 (0x00002aaab1440000)
	libXrandr.so.2 => /usr/lib64/libXrandr.so.2 (0x00002aaab1649000)
	libXcursor.so.1 => /usr/lib64/libXcursor.so.1 (0x00002aaab1850000)
	libpangoft2-1.0.so.0 => /usr/lib64/libpangoft2-1.0.so.0 (0x00002aaab1a5b000)
	libfreetype.so.6 => /usr/lib64/libfreetype.so.6 (0x00002aaab1c8c000)
	libz.so.1 => /lib64/libz.so.1 (0x00002aaab1f1b000)
	/lib64/ld-linux-x86-64.so.2 (0x00002aaaaaaab000)
	libnsl.so.1 => /lib64/libnsl.so.1 (0x00002aaab2130000)
	libcap.so.1 => /lib64/libcap.so.1 (0x00002aaab2348000)
	libSM.so.6 => /usr/lib64/libSM.so.6 (0x00002aaab254c000)
	libICE.so.6 => /usr/lib64/libICE.so.6 (0x00002aaab2756000)
	libi18nisolang1gcc3.so =>
/usr/lib64/openoffice.org/program/libi18nisolang1gcc3.so (0x00002aaab2971000)
	libbasegfx680lx.so => /usr/lib64/openoffice.org/program/libbasegfx680lx.so
(0x00002aaab2b77000)
	libicuuc.so.38 => /usr/lib64/libicuuc.so.38 (0x00002aaab2dd7000)
	libicule.so.38 => /usr/lib64/libicule.so.38 (0x00002aaab310f000)
	libjvmaccessgcc3.so.3 =>
/usr/lib64/openoffice.org/program/libjvmaccessgcc3.so.3 (0x00002aaab3345000)
	libjvmfwk.so.3 => /usr/lib64/openoffice.org/program/libjvmfwk.so.3
(0x00002aaab354d000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib64/openoffice.org/program/libuno_salhelpergcc3.so.3 (0x00002aaab3766000)
	libcrypt.so.1 => /lib64/libcrypt.so.1 (0x00002aaab396a000)
	libxcb-xlib.so.0 => /usr/lib64/libxcb-xlib.so.0 (0x00002aaab3b9f000)
	libxcb.so.1 => /usr/lib64/libxcb.so.1 (0x00002aaab3da0000)
	libXau.so.6 => /usr/lib64/libXau.so.6 (0x00002aaab3fba000)
	libexpat.so.1 => /lib64/libexpat.so.1 (0x00002aaab41bd000)
	libicudata.so.38 => /usr/lib64/libicudata.so.38 (0x00002aaab43e0000)
	libxml2.so.2 => /usr/lib64/libxml2.so.2 (0x00002aaab508a000)
	libXdmcp.so.6 => /usr/lib64/libXdmcp.so.6 (0x00002aaab53c9000)
...end sample ldd details ...

Expected results:
No crashes.

Additional info:
The previous version "openoffice.org-impress - 1:2.3.0-2.3.fc8.x86_64" did not
crash on the same file.
Hopefully the new build id stuff means I don't have to install the debuginfo RPMs?
Comment 1 Scott Tsai 2007-09-09 07:19:00 EDT
crash report with debuginfo installed:

(I)    x.org loaded video driver of...
(II) Loading /usr/lib64/xorg/modules/drivers//intel_drv.so
(==) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.2-23-x86_64
(V)    kernel is: Linux 2.6.23-0.164.rc5.fc8 #1 SMP Tue Sep 4 18:24:12 EDT 2007
x86_64 x86_64 x86_64
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.3.0-3.2.fc8-x86_64
(VII)  accessibility is: true
(VIII) fedora release is: Fedora release 7.91 (Rawhide)
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/mapper/VolGroup00-LogVol00
                     478581664  48532472 430049192  11% /
/dev/mapper/VolGroup00-LogVol00
                     478581664  48532472 430049192  11% /
...end free space details ...
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 21
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x00002aaaaf518a04: 0x00000000001ebf28:
/usr/lib64/openoffice.org/program/libuno_sal.so.3 + 0x36a04
0x00002aaaaf5195fa: 0x00000000001ebf28:
/usr/lib64/openoffice.org/program/libuno_sal.so.3 + 0x375fa
0x00002aaaaceb6900: 0x000000000014bb60: /lib64/libc.so.6 + 0x30900
0x00002aaaaf04a2a2: 0x00000000000aa5b8:
/usr/lib64/openoffice.org/program/libuno_cppuhelpergcc3.so.3 + 0x422a2
0x00002aaaaf04a9f3: 0x00000000000aa5b8:
/usr/lib64/openoffice.org/program/libuno_cppuhelpergcc3.so.3 + 0x429f3
(cppu::WeakComponentImplHelper_query(com::sun::star::uno::Type const&,
cppu::class_data*, void*, cppu::WeakComponentImplHelperBase*) + 0x63)
0x00002aaaac07d44a: 0x0000000000d3af90:
/usr/lib64/openoffice.org/program/libsvx680lx.so + 0x92044a
(accessibility::AccessibleShape::queryInterface(com::sun::star::uno::Type
const&) + 0x4a)
0x00002aaaac074612: 0x0000000000d3af90:
/usr/lib64/openoffice.org/program/libsvx680lx.so + 0x917612
0x00002aaaac076819: 0x0000000000d3af90:
/usr/lib64/openoffice.org/program/libsvx680lx.so + 0x919819
0x00002aaaab2fdb0d: 0x00000000005eea98:
/usr/lib64/openoffice.org/program/libsd680lx.so + 0x3ddb0d
0x00002aaaab11ca6d: 0x00000000005eea98:
/usr/lib64/openoffice.org/program/libsd680lx.so + 0x1fca6d
0x00002aaaab10e43c: 0x00000000005eea98:
/usr/lib64/openoffice.org/program/libsd680lx.so + 0x1ee43c
0x00002aaaad461db2: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0x289db2
(Window::GetAccessible(unsigned char) + 0x82)
0x00002aaaaf9d196d: 0x00000000002741c0:
/usr/lib64/openoffice.org/program/libtk680lx.so + 0xf896d
(VCLXAccessibleComponent::getAccessibleChild(int) + 0x7d)
0x00002aaabe32fe6b: 0x000000000004f488:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x1ee6b
(AtkListener::updateChildList(com::sun::star::accessibility::XAccessibleContext*)
+ 0x11b)
0x00002aaabe33016d: 0x000000000004f488:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x1f16d
(AtkListener::AtkListener(_AtkObjectWrapper*) + 0xed)
0x00002aaabe33af1d: 0x000000000004f488:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x29f1d
(atk_object_wrapper_new + 0x3fd)
0x00002aaabe330016: 0x000000000004f488:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x1f016
(AtkListener::handleChildAdded(com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessibleContext>
const&,
com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessible>
const&) + 0x26)
0x00002aaabe330d00: 0x000000000004f488:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x1fd00
(AtkListener::notifyEvent(com::sun::star::accessibility::AccessibleEventObject
const&) + 0x8a0)
0x00002aaaae8da52c: 0x0000000000132bd8:
/usr/lib64/openoffice.org/program/libcomphelp4gcc3.so + 0xaa52c
(comphelper::AccessibleEventNotifier::addEvent(unsigned int,
com::sun::star::accessibility::AccessibleEventObject const&) + 0xfc)
0x00002aaaae8c804c: 0x0000000000132bd8:
/usr/lib64/openoffice.org/program/libcomphelp4gcc3.so + 0x9804c
(comphelper::OAccessibleContextHelper::NotifyAccessibleEvent(short,
com::sun::star::uno::Any const&, com::sun::star::uno::Any const&) + 0x13c)
0x00002aaaaf9d1f31: 0x00000000002741c0:
/usr/lib64/openoffice.org/program/libtk680lx.so + 0xf8f31
(VCLXAccessibleComponent::ProcessWindowChildEvent(VclWindowEvent const&) + 0x181)
0x00002aaaaf9d0871: 0x00000000002741c0:
/usr/lib64/openoffice.org/program/libtk680lx.so + 0xf7871
(VCLXAccessibleComponent::WindowChildEventListener(VclSimpleEvent*) + 0x91)
0x00002aaaad2b8854: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0xe0854
(VclEventListeners::Call(VclSimpleEvent*) const + 0x34)
0x00002aaaad4674dc: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0x28f4dc
(Window::CallEventListeners(unsigned long, void*) + 0xdc)
0x00002aaaad46829f: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0x29029f
0x00002aaaad468254: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0x290254
0x00002aaaad468254: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0x290254
0x00002aaaad468254: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0x290254
0x00002aaaad468254: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0x290254
0x00002aaaad46b872: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0x293872
(Window::Show(unsigned char, unsigned short) + 0x3c2)
0x00002aaaad46b5f1: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0x2935f1
(Window::Show(unsigned char, unsigned short) + 0x141)
0x00002aaab1f0ff87: 0x00000000003cfcc8:
/usr/lib64/openoffice.org/program/libsfx680lx.so + 0x252f87
(SfxViewFrame::Show() + 0xa7)
0x00002aaab1f2245b: 0x00000000003cfcc8:
/usr/lib64/openoffice.org/program/libsfx680lx.so + 0x26545b
(SfxTopFrame::InsertDocument(SfxObjectShell*) + 0x3cb)
0x00002aaab1e925a0: 0x00000000003cfcc8:
/usr/lib64/openoffice.org/program/libsfx680lx.so + 0x1d55a0
0x00002aaab1f22601: 0x00000000003cfcc8:
/usr/lib64/openoffice.org/program/libsfx680lx.so + 0x265601
(SfxTopFrame::InsertDocument(SfxObjectShell*) + 0x571)
0x00002aaab1effbad: 0x00000000003cfcc8:
/usr/lib64/openoffice.org/program/libsfx680lx.so + 0x242bad
0x00002aaab298a827: 0x00000000002aa838:
/usr/lib64/openoffice.org/program/libfwk680lx.so + 0x17a827
0x00002aaab298af90: 0x00000000002aa838:
/usr/lib64/openoffice.org/program/libfwk680lx.so + 0x17af90
0x00002aaab298c968: 0x00000000002aa838:
/usr/lib64/openoffice.org/program/libfwk680lx.so + 0x17c968
0x00002aaab287c48f: 0x00000000002aa838:
/usr/lib64/openoffice.org/program/libfwk680lx.so + 0x6c48f
0x00002aaaaad06802: 0x0000000000056258:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x3f802
(desktop::DispatchWatcher::executeDispatchRequests(std::vector<desktop::DispatchWatcher::DispatchRequest,
std::allocator<desktop::DispatchWatcher::DispatchRequest> > const&) + 0x11e2)
0x00002aaaaacfc2ae: 0x0000000000056258:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x352ae
(desktop::OfficeIPCThread::ExecuteCmdLineRequests(desktop::ProcessDocumentsRequest&)
+ 0x13e)
0x00002aaaaacf2c8f: 0x0000000000056258:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x2bc8f
(desktop::Desktop::OpenClients() + 0xc6f)
0x00002aaaaacf3bca: 0x0000000000056258:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x2cbca
(desktop::Desktop::OpenClients_Impl(void*) + 0x3a)
0x00002aaaad478611: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0x2a0611
0x00002aaabee3c62f: 0x000000000007cf10:
/usr/lib64/openoffice.org/program/libvclplug_gen680lx.so + 0x5762f
(SalDisplay::DispatchInternalEvent() + 0xbf)
0x00002aaabe329899: 0x000000000004f488:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x18899
0x00002aaab6d0df13: 0x00000000000c5c38: /lib64/libglib-2.0.so.0 + 0x2ef13
(g_main_context_dispatch + 0x1c3)
0x00002aaab6d1120d: 0x00000000000c5c38: /lib64/libglib-2.0.so.0 + 0x3220d
0x00002aaab6d1173e: 0x00000000000c5c38: /lib64/libglib-2.0.so.0 + 0x3273e
(g_main_context_iteration + 0x6e)
0x00002aaabe32b329: 0x000000000004f488:
/usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x1a329
0x00002aaaad2b100e: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0xd900e
(Application::Yield(bool) + 0x3e)
0x00002aaaad2b10e7: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0xd90e7
(Application::Execute() + 0x27)
0x00002aaaaacf6228: 0x0000000000056258:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x2f228
(desktop::Desktop::Main() + 0xe28)
0x00002aaaad2b57f1: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0xdd7f1
0x00002aaaad2b5855: 0x00000000003a9fe8:
/usr/lib64/openoffice.org/program/libvcl680lx.so + 0xdd855 (SVMain() + 0x25)
0x00002aaaaace7e7e: 0x0000000000056258:
/usr/lib64/openoffice.org/program/libsoffice.so + 0x20e7e (main + 0xae)
0x00002aaaacea3d34: 0x000000000014bb60: /lib64/libc.so.6 + 0x1dd34
(__libc_start_main + 0xf4)
0x0000000000400639: 0x0000000000000890:
/usr/lib64/openoffice.org/program/simpress.bin + 0x639 (main + 0x49)
...end stackreport details ...
...start sample ldd details ...
	linux-vdso.so.1 =>  (0x00007fff9fffe000)
	libgtk-x11-2.0.so.0 => /usr/lib64/libgtk-x11-2.0.so.0 (0x00002aaaaaf35000)
	libgdk-x11-2.0.so.0 => /usr/lib64/libgdk-x11-2.0.so.0 (0x00002aaaab524000)
	libatk-1.0.so.0 => /usr/lib64/libatk-1.0.so.0 (0x00002aaaab7c4000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib64/libgdk_pixbuf-2.0.so.0 (0x00002aaaab9e3000)
	libpangocairo-1.0.so.0 => /usr/lib64/libpangocairo-1.0.so.0 (0x00002aaaabc00000)
	libpango-1.0.so.0 => /usr/lib64/libpango-1.0.so.0 (0x00002aaaabe0a000)
	libcairo.so.2 => /usr/lib64/libcairo.so.2 (0x00002aaaac04c000)
	libgmodule-2.0.so.0 => /lib64/libgmodule-2.0.so.0 (0x00002aaaac2c9000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00002aaaac4cc000)
	libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x00002aaaac6d0000)
	librt.so.1 => /lib64/librt.so.1 (0x00002aaaac8d5000)
	libdbus-glib-1.so.2 => /usr/lib64/libdbus-glib-1.so.2 (0x00002aaaacade000)
	libdbus-1.so.3 => /lib64/libdbus-1.so.3 (0x00002aaaaccfd000)
	libgobject-2.0.so.0 => /lib64/libgobject-2.0.so.0 (0x00002aaaacf39000)
	libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00002aaaad179000)
	libvclplug_gen680lx.so =>
/usr/lib64/openoffice.org/program/libvclplug_gen680lx.so (0x00002aaaad440000)
	libvcl680lx.so => /usr/lib64/openoffice.org/program/libvcl680lx.so
(0x00002aaaad6c6000)
	libpsp680lx.so => /usr/lib64/openoffice.org/program/libpsp680lx.so
(0x00002aaaadc7b000)
	libsot680lx.so => /usr/lib64/openoffice.org/program/libsot680lx.so
(0x00002aaaadf68000)
	libutl680lx.so => /usr/lib64/openoffice.org/program/libutl680lx.so
(0x00002aaaae1ce000)
	libtl680lx.so => /usr/lib64/openoffice.org/program/libtl680lx.so
(0x00002aaaae472000)
	libcomphelp4gcc3.so => /usr/lib64/openoffice.org/program/libcomphelp4gcc3.so
(0x00002aaaae718000)
	libucbhelper4gcc3.so => /usr/lib64/openoffice.org/program/libucbhelper4gcc3.so
(0x00002aaaaea50000)
	libuno_cppuhelpergcc3.so.3 =>
/usr/lib64/openoffice.org/program/libuno_cppuhelpergcc3.so.3 (0x00002aaaaecc9000)
	libuno_cppu.so.3 => /usr/lib64/openoffice.org/program/libuno_cppu.so.3
(0x00002aaaaef76000)
	libvos3gcc3.so => /usr/lib64/openoffice.org/program/libvos3gcc3.so
(0x00002aaaaf1a3000)
	libuno_sal.so.3 => /usr/lib64/openoffice.org/program/libuno_sal.so.3
(0x00002aaaaf3ca000)
	libX11.so.6 => /usr/lib64/libX11.so.6 (0x00002aaaaf7c1000)
	libXext.so.6 => /usr/lib64/libXext.so.6 (0x00002aaaafac6000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00002aaaafcd7000)
	libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00002aaaafef2000)
	libm.so.6 => /lib64/libm.so.6 (0x00002aaab01f3000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00002aaab0476000)
	libc.so.6 => /lib64/libc.so.6 (0x00002aaab0684000)
	libXfixes.so.3 => /usr/lib64/libXfixes.so.3 (0x00002aaab09d7000)
	libpng12.so.0 => /usr/lib64/libpng12.so.0 (0x00002aaab0bdc000)
	libfontconfig.so.1 => /usr/lib64/libfontconfig.so.1 (0x00002aaab0e00000)
	libXrender.so.1 => /usr/lib64/libXrender.so.1 (0x00002aaab1035000)
	libXinerama.so.1 => /usr/lib64/libXinerama.so.1 (0x00002aaab123e000)
	libXi.so.6 => /usr/lib64/libXi.so.6 (0x00002aaab1440000)
	libXrandr.so.2 => /usr/lib64/libXrandr.so.2 (0x00002aaab1649000)
	libXcursor.so.1 => /usr/lib64/libXcursor.so.1 (0x00002aaab1850000)
	libpangoft2-1.0.so.0 => /usr/lib64/libpangoft2-1.0.so.0 (0x00002aaab1a5b000)
	libfreetype.so.6 => /usr/lib64/libfreetype.so.6 (0x00002aaab1c8c000)
	libz.so.1 => /lib64/libz.so.1 (0x00002aaab1f1b000)
	/lib64/ld-linux-x86-64.so.2 (0x00002aaaaaaab000)
	libnsl.so.1 => /lib64/libnsl.so.1 (0x00002aaab2130000)
	libcap.so.1 => /lib64/libcap.so.1 (0x00002aaab2348000)
	libSM.so.6 => /usr/lib64/libSM.so.6 (0x00002aaab254c000)
	libICE.so.6 => /usr/lib64/libICE.so.6 (0x00002aaab2756000)
	libi18nisolang1gcc3.so =>
/usr/lib64/openoffice.org/program/libi18nisolang1gcc3.so (0x00002aaab2971000)
	libbasegfx680lx.so => /usr/lib64/openoffice.org/program/libbasegfx680lx.so
(0x00002aaab2b77000)
	libicuuc.so.38 => /usr/lib64/libicuuc.so.38 (0x00002aaab2dd7000)
	libicule.so.38 => /usr/lib64/libicule.so.38 (0x00002aaab310f000)
	libjvmaccessgcc3.so.3 =>
/usr/lib64/openoffice.org/program/libjvmaccessgcc3.so.3 (0x00002aaab3345000)
	libjvmfwk.so.3 => /usr/lib64/openoffice.org/program/libjvmfwk.so.3
(0x00002aaab354d000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib64/openoffice.org/program/libuno_salhelpergcc3.so.3 (0x00002aaab3766000)
	libcrypt.so.1 => /lib64/libcrypt.so.1 (0x00002aaab396a000)
	libxcb-xlib.so.0 => /usr/lib64/libxcb-xlib.so.0 (0x00002aaab3b9f000)
	libxcb.so.1 => /usr/lib64/libxcb.so.1 (0x00002aaab3da0000)
	libXau.so.6 => /usr/lib64/libXau.so.6 (0x00002aaab3fba000)
	libexpat.so.1 => /lib64/libexpat.so.1 (0x00002aaab41bd000)
	libicudata.so.38 => /usr/lib64/libicudata.so.38 (0x00002aaab43e0000)
	libxml2.so.2 => /usr/lib64/libxml2.so.2 (0x00002aaab508a000)
	libXdmcp.so.6 => /usr/lib64/libXdmcp.so.6 (0x00002aaab53c9000)
...end sample ldd details ...
Comment 2 Scott Tsai 2007-09-09 11:28:57 EDT
simply starting "ooimpress" without opening any files crashes as well.
Comment 3 Brenton D. Rothchild 2007-09-14 09:51:54 EDT
I am also experiencing this crash.

I'm using the same versions of the software as stated in the above crash report,
with the exception of kernel 2.6.23-0.178.rc6.git2.fc8, nvidia_drv.so, and
SELinux is disabled.

If I can report any other info, please let me know.
Comment 4 Brenton D. Rothchild 2007-09-15 15:32:43 EDT
FYI, things seem to be fixed for me with these versions:

openoffice.org-core-2.3.0-4.1.fc8
openoffice.org-impress-2.3.0-4.1.fc8

and if it matters, kernel 2.6.23-0.181.rc6.git4.fc8.
Comment 5 Caolan McNamara 2007-10-02 06:33:32 EDT
Yeah, there was (I believe) a gcc visibility related problem, I disabled
visibility for the next few builds, if possibly I will re-enable visibility
before final release, depending on stability
Comment 6 Caolan McNamara 2007-10-02 06:39:26 EDT
*** Bug 284161 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.